Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.util
Class Hash

    java.lang.Object
      com.sshtools.j2ssh.util.Hash

public class Hash
extends java.lang.Object

DOCUMENT ME!

Constructor Summary
`Hash(java.lang.String algorithm)` Creates a new Hash object.

Method Summary
`byte[]` | `doFinal()` DOCUMENT ME!
`void` | `putBigInteger(java.math.BigInteger bi)` DOCUMENT ME!
`void` | `putByte(byte b)` DOCUMENT ME!
`void` | `putBytes(byte[] data)` DOCUMENT ME!
`void` | `putInt(int i)` DOCUMENT ME!
`void` | `putString(java.lang.String str)` DOCUMENT ME!
`void` | `reset()` DOCUMENT ME!
`static byte[]` | `simple(byte[] data, java.lang.String algorithm)` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Hash

    public Hash(java.lang.String algorithm)
         throws java.security.NoSuchAlgorithmException

  Creates a new Hash object.

Parameters:
  `algorithm` - DOCUMENT ME!
Throws:
  `java.security.NoSuchAlgorithmException` - DOCUMENT ME!

Method Detail

### putBigInteger

    public void putBigInteger(java.math.BigInteger bi)

  DOCUMENT ME!

  Parameters:
    `bi` - DOCUMENT ME!

### putByte

    public void putByte(byte b)

  DOCUMENT ME!

  Parameters:
    `b` - DOCUMENT ME!

### putBytes

    public void putBytes(byte[] data)

  DOCUMENT ME!

  Parameters:
    `data` - DOCUMENT ME!

### putInt

    public void putInt(int i)

  DOCUMENT ME!

  Parameters:
    `i` - DOCUMENT ME!

### putString

    public void putString(java.lang.String str)

  DOCUMENT ME!

  Parameters:
    `str` - DOCUMENT ME!

### reset

    public void reset()

  DOCUMENT ME!

### simple

    public static byte[] simple(byte[] data,
                                java.lang.String algorithm)
                         throws java.security.NoSuchAlgorithmException

  DOCUMENT ME!

  Parameters:
    `data` - DOCUMENT ME!
    `algorithm` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `java.security.NoSuchAlgorithmException` - DOCUMENT ME!

### doFinal

    public byte[] doFinal()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD